#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-autoar-0.3.0

- Next

  gnome-menus-3.36.0

- Up
- Home

# gnome-desktop-3.38.4

## Introduction to GNOME Desktop

The GNOME Desktop package contains a library that provides an API shared by several applications on the GNOME Desktop.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-desktop/3.38/gnome-desktop-3.38.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-desktop/3.38/gnome-desktop-3.38.4.tar.xz

- Download MD5 sum: 77653263d3efaeae4f7fd0eff7ba6da6

- Download size: 728 KB

- Estimated disk space required: 20 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### GNOME Desktop Dependencies

#### Required

gsettings-desktop-schemas-3.38.0, GTK+-3.24.25, ISO Codes-4.5.0, itstool-2.0.6, libseccomp-2.5.1, libxml2-2.9.10, and xkeyboard-config-2.32

#### Recommended

bubblewrap-0.4.1 (needed for thumbnailers in Nautilus) and gobject-introspection-1.66.1

#### Optional

GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gnome-desktop

## Installation of GNOME Desktop

Install GNOME Desktop by running the following commands:

    mkdir build &&
    cd build &&

    meson --prefix=/usr                 \
          -Dgnome_distributor="BLFS" .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dgnome_distributor="Some Name"`: Use this parameter to supply a custom name in the “Distributor:” field of the “GNOME About” display window.

`-Dgtk_doc=true`: Use this parameter if you wish to build the API documentation.

`-Dinstalled_tests=true`: Use this parameter you wish to enable the installed tests.

## Contents

Installed Programs: None
Installed Library: libgnome-desktop-3.so
Installed Directories: /usr/include/gnome-desktop-3.0, /usr/share/gnome, /usr/share/gtk-doc/html/gnome-desktop3, and /usr/share/help/*/{fdl,gpl,lgpl}

### Short Descriptions

`libgnome-desktop-3.so` | contains functions shared by several GNOME applications

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  gnome-autoar-0.3.0

- Next

  gnome-menus-3.36.0

- Up
- Home